Subject: Re: bug#12638: 24.2.50; FR: Some suggestions for icomplete-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 04 Dec 2012 12:14:33 -0500

> The problem is in the displayed string.  Why not push "" to prospects
> when most-is-exact.  I think completions are cycling but the displayed
> string is not.

The problem is that we want the display to indicate that the current
field is an exact match.  Currently this is visible thanks to the "{| ...}".
So if we want to let the empty string move elsewhere (and hence
potentially off-screen), we need another way to indicate that we have an
exact match.

> Is removal of leading space really necessary?

No, it just makes a lot of sense in the current situation.  Note that if
we let the empty string appear elsewhere, we may also want to use
"a | | b" instead of "a |  | b", tho it's clearly less important.

        Stefan